Skip to main content
PUT
/
api
/
v1
/
cards
/
{card_id}
/
limit
Set card limit
curl --request PUT \
  --url https://api.hevn.finance/api/v1/cards/{card_id}/limit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dailyLimit": 123,
  "monthlyLimit": 123,
  "lifetimeLimit": 123,
  "currency": "EUR"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Path Parameters

card_id
string
required

Body

application/json

Request to set card spending limits.

dailyLimit
number | null

Daily limit. Set to -1 to disable.

monthlyLimit
number | null

Monthly limit. Set to -1 to disable.

lifetimeLimit
number | null

Lifetime limit. Set to -1 to disable.

currency
string
default:EUR

Limit currency.

Response

Successful Response